//////////////////////////////////////////////////////
/// The following example is a helper class for the
/// BookKeeper example
/// 
/// author: Gopalan Suresh Raj
/// Copyright (c), 2001. All Rights Reserved.
/// URL: http://gsraj.tripod.com/
/// email: gopalan@gmx.net
/// 
//////////////////////////////////////////////////////
using System;

namespace BookKeeper {

  /// <summary>
  /// This enum type maps to an inderlying byte type
  /// </summary>
  
  /// Make this type Serializable
  [Serializable]
  public enum AccountType : int {
    CheckingAccount = 1,
    SavingsAccount  = 2
  }

  /// <summary>
  /// Summary description for AccountKey.
  /// </summary>

  /// Make this type Serializable
  [Serializable]
  public class AccountKey {

    /// <summary>
    /// The Account Number
    /// </summary>
    int accountKey_;

    /// <summary>
    /// The Type of Account - Checking or Savings
    /// </summary>
    AccountType accountType_;

    /// <summary>
    /// The Public Default No-argument constructor
    /// </summary>
    public AccountKey() {
      accountKey_ = 0;
      accountType_ = AccountType.CheckingAccount;
    }

    /// <summary>
    /// Accessors for the account key
    /// </summary>
    public int Key {

      get {
        return this.accountKey_;
      }

      set {
        this.accountKey_ = value;
      }
    }

    /// <summary>
    /// Accessors for the account type
    /// </summary>
    public AccountType Type {

      get {
        return this.accountType_;
      }

      set {
        this.accountType_ = value;
      }
    }
  }
}
