// This is the main project file for VC++ application project 
// generated using an Application Wizard.

#include "stdafx.h"

#using <mscorlib.dll>
#using "QuoteServer.dll"

using namespace System;
using namespace SimpleStocks;

// This is the entry point for this application
#ifdef _UNICODE
int wmain(int argc, char* argv[])
#else
int main(int argc, char* argv[])
#endif
{
  String *symbol = new String( "iCommware" );
  if (argc > 1) {
    symbol = new String( argv[1] );
  }
  else {
    Console::WriteLine( S"Usage: cppLateBinding <symbol>" );
    Console::Write( S"Assuming Stock symbol is " );
    Console::WriteLine( String::Concat( symbol, " and proceeding..." ) );
  }
  
	using namespace Reflection;

	// Get Type object for COM server. It uses ProgID of the QuoteServer class.
	Type* type = Type::GetTypeFromProgID("SimpleStocks.QuoteServer");

	// Obtain instance of COM object.
	Object* object = Activator::CreateInstance(type);
  if (0 == object) {
    Console::WriteLine(S"Activator::CreateInstance failed...");
    return -1;
  }

	// Create array of parameters.
	Object* arguments[] = new Object* [1];

	// Set parameter.
	arguments[0] = symbol;

	// Call COM object method by its name.
  // AND copy value to NDP heap
	Object* resultObject = type->InvokeMember("getQuote", 
                                            BindingFlags::InvokeMethod, 
                                            Type::DefaultBinder, 
                                            object, 
                                            arguments);  
  // copy back from NDP heap
  float price = *dynamic_cast< __box float* > ( resultObject );
	
  Console::Write( "The price of " );
  Console::Write( String::Concat( symbol, " is : US $" ) );
  Console::WriteLine( price );

  
  return 0;
}