using System;
using System.Messaging;

namespace Queue {
  /// <summary>
  /// Summary description for QueueServer.
  /// </summary>
  public class QueueServer {
    public QueueServer() {
    }

    public static void Main (String[] args) {
	 
      // Get the name of this Message Sender application
      string applicationName = Environment.GetCommandLineArgs ()[0];
      // Test that the number of arguments passed in are ok
      if (args.Length != 2) {
        Console.WriteLine ("Usage: "+
          applicationName+
          " <Queue Name> <Message to Send>");
        return;
      }
	  
      string messageQueuePath = ".\\"+args [0];
      // If such a Message Queue does not exist
      if (MessageQueue.Exists (messageQueuePath) == false) {
        // Create a Message Queue Path
        MessageQueue.Create (messageQueuePath);
      }
      // Create a MessageQueue Object for that Queue
      MessageQueue messageQueue = new MessageQueue (messageQueuePath);
      // Send the Message to this Queue
      messageQueue.Send (args [1]);
    }

  }
}
