//////////////////////////////////////////////////////
/// The following example shows a Distributed Component
/// Client developed using C# and the .NET Framework.
/// 
/// author: Gopalan Suresh Raj
/// Copyright (c), 2002. All Rights Reserved.
/// URL: http://gsraj.tripod.com/
/// email: gopalan@gmx.net
/// 
//////////////////////////////////////////////////////
using System;
// Import the Remoting API support
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Http;

namespace Topic {
  /// <summary>
  /// The Client to a Distributed Bulletin Board Server
  /// </summary>
  class TopicClient {
    static void Main(string[] args) {
      int listeningChannel = Int32.Parse (args [0]);
      // Create and register a channel to communicate to the server
      // The Client will use the port passed in as args to listen for callbacks
      HttpChannel channel = new HttpChannel (listeningChannel);
      ChannelServices.RegisterChannel (channel);

      // Create an instance on the remote server and call a method remotely
      Topic topic = (Topic) Activator.GetObject (typeof (Topic), // type to create
                                                 "http://localhost:1099/Topic" // URI
                                                 );
      topic.displayMessage ("New Client Connected From Port "+listeningChannel);
      string message = null;                 
      while (message.ToLower().StartsWith ("quit") == false) {
        Console.WriteLine ("Enter a Message to Add to Server");
        message = Console.ReadLine ();
        topic.addMessage (message);
      }
      Console.WriteLine ("The Messages Are:"+topic.getMessages() );
      topic.displayMessage ("Client Connected From Port "+listeningChannel+" Terminating...");
    }

  }
}
