//////////////////////////////////////////////////////
/// The following example illustrates a Client to a 
/// WebService developed using C# and the .NET Framework.
/// 
/// author: Gopalan Suresh Raj
/// Copyright (c), 2002. All Rights Reserved.
/// URL: http://gsraj.tripod.com/
/// email: gopalan@gmx.net
/// 
/// <generate>
/// wsdl /l:CS /protocol:SOAP http://localhost/OIDServer/OIDServer.asmx?WSDL
/// wsdl /l:CS /protocol:HttpGet http://localhost/OIDServer/OIDServer.asmx?WSDL
/// wsdl /l:CS /protocol:HttpPost http://localhost/OIDServer/OIDServer.asmx?WSDL
/// </generate>
/// <compile>
/// csc /t:library /r:System.Web.Services.dll /r:System.Xml.dll OIDServer.cs
/// </compile>
/// <compile>
/// csc Client.cs /r:OIDServer.dll
/// </compile>
//////////////////////////////////////////////////////
using System;

namespace TestOIDServer {
  /// <summary>
  /// Summary description for Client.
  /// </summary>
  public class Client {
    /// <summary>
    /// Default No argument constructor
    /// </summary>
    public Client() {
    }

    /// <summary>
    /// Entry Point to this Application
    /// </summary>
    public static void Main () {
      // Create a proxy
      OIDServer server = new OIDServer();

      // Invoke generateOID() over SOAP and get the new OID
      string oid = server.generateOID ();

      // Print out the value
      Console.WriteLine ("The new OID is :"+oid);
    }
  }
}
