//////////////////////////////////////////////////////
/// The following example illustrates a Client to a 
/// WebService developed using C# and the .NET Framework.
/// 
/// author: Gopalan Suresh Raj
/// Copyright (c), 2002. All Rights Reserved.
/// URL: http://gsraj.tripod.com/
/// email: gopalan@gmx.net
//////////////////////////////////////////////////////

import java.io.*;

/**
 * Web Service Client Class
 * @author Gopalan Suresh Raj
 */
public class Client { 
  
  /** Entry Point to this Application */
  public static void main(String[] args) { 
    try {
      // Create a proxy
      ApacheSoapProxy proxy = new ApacheSoapProxy ();
      
      // Invoke generateOID() over SOAP and get the new OID
      String result = proxy.generateOID ();
      
      // Print out the value
      System.out.println ("The new OID is :"+result);
    }
    catch (java.net.MalformedURLException exception) {
      exception.printStackTrace ();
    }
    catch (org.apache.soap.SOAPException exception) {
      exception.printStackTrace ();
    }
  }
}
